<nz-switch
  [(ngModel)]="internalValue"
  [nzControl]="true"
  [nzLoading]="pending"
  (click)="handleClick()"
  [nzCheckedChildren]="checkedTemplate"
  [nzUnCheckedChildren]="unCheckedTemplate"
>
</nz-switch>

<ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
<ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
